> Documentation index for AI agents: https://docs.pagerduty.com/llms.txt

# List Field Options on a Custom Field

`GET https://api.pagerduty.com/incidents/types/{type_id_or_name}/custom_fields/{field_id}/field_options`

List field options for a custom field.

Custom Fields (CF) are a feature which will allow customers to extend Incidents with their own custom data,
to provide additional context and support features such as customized filtering, search and analytics.
Custom Fields can be applied to different incident types.

Scoped OAuth requires: `custom_fields.read`

## Authorization

- **api_key** (apiKey) — `Authorization` header. The API Key with format `Token token=<API_KEY>`

## Path parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `type_id_or_name` | string | yes | The ID or name of the Incident Type. |
| `field_id` | string | yes | The ID of the field. |

## Header parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `Accept` | string | yes | The `Accept` header is used as a versioning header. Default: `application/vnd.pagerduty+json;version=2`. |

## Response 200

The field option for the custom field requested.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `field_options` | array of object | yes |  |
| `field_options[].data` | one of: object | yes |  |
| `field_options[].data.data_type` | string | yes | (option 1) The kind of data represented by this option. Must match the Field's `data_type`. One of: `string`. |
| `field_options[].data.value` | string | yes | (option 1) Max length: 100. |
| `field_options[].id` | string | yes | The ID of the resource. Read-only. |
| `field_options[].type` | string | yes | Read-only. One of: `field_option`. |
| `field_options[].updated_at` | string (date-time) | yes | The date/time the object was last updated. Read-only. |
| `field_options[].created_at` | string (date-time) | yes | The date/time the object was created at. Read-only. |

Example: Response Example

```json
{
  "field_options": [
    {
      "data": {
        "data_type": "string",
        "value": "option1"
      },
      "id": "PQ9K7I8",
      "type": "field_option",
      "updated_at": "2021-06-01T21:30:42Z",
      "created_at": "2021-06-01T21:30:42Z"
    },
    {
      "data": {
        "data_type": "string",
        "value": "option2"
      },
      "id": "PZ9K7I9",
      "type": "field_option",
      "updated_at": "2021-06-01T21:30:42Z",
      "created_at": "2021-06-01T21:30:42Z"
    }
  ]
}
```

## Response 401

Caller did not supply credentials or did not provide the correct credentials.
If you are using an API key, it may be invalid or your Authorization header may be malformed.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Response 403

Caller is not authorized to view the requested resource.
While your authentication is valid, the authenticated user or token does not have permission to perform this action.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Response 404

The requested resource was not found.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Response 500

Internal Server Error the PagerDuty server experienced an error.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Developer Agreement

Your access to and use of the PagerDuty Developer Services is governed by the [PagerDuty Developer Agreement](https://docs.pagerduty.com/developer/pagerduty-developer-agreement).
